org.apache.sysds.api.mlcontext

## Class FrameMetadata

- java.lang.Object
- - org.apache.sysds.api.mlcontext.Metadata
  - - org.apache.sysds.api.mlcontext.FrameMetadata

-     public class FrameMetadata
      extends Metadata

  Frame metadata, such as the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in the frame.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrameMetadata()`
    `FrameMetadata(DataCharacteristics dataCharacteristics)` Constructor to create a FrameMetadata object based on a DataCharacteristics object.
    `FrameMetadata(FrameFormat frameFormat)` Constructor to create a FrameMetadata object based on frame format.
    `FrameMetadata(FrameFormat frameFormat, FrameSchema frameSchema)` Constructor to create a FrameMetadata object based on frame format and frame schema.
    `FrameMetadata(FrameFormat frameFormat, FrameSchema frameSchema, int numRows, int numColumns)` Constructor to create a FrameMetadata object based on frame format, frame schema, the number of rows, and the number of columns in a frame.
    `FrameMetadata(FrameFormat frameFormat, FrameSchema frameSchema, int numRows, int numColumns, int numNonZeros, int blen)` Constructor to create a FrameMetadata object based on frame format, frame schema, the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a frame.
    `FrameMetadata(FrameFormat frameFormat, FrameSchema frameSchema, Long numRows, Long numColumns)` Constructor to create a FrameMetadata object based on frame format, frame schema, the number of rows, and the number of columns in a frame.
    `FrameMetadata(FrameFormat frameFormat, FrameSchema frameSchema, Long numRows, Long numColumns, Long numNonZeros, Integer blen)` Constructor to create a FrameMetadata object based on frame format, frame schema, the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a frame.
    `FrameMetadata(FrameFormat frameFormat, int numRows, int numColumns)` Constructor to create a FrameMetadata object based on frame format, the number of rows, and the number of columns in a frame.
    `FrameMetadata(FrameFormat frameFormat, int numRows, int numColumns, int numNonZeros)` Constructor to create a FrameMetadata object based on frame format, the number of rows, the number of columns, and the number of non-zero values in a frame.
    `FrameMetadata(FrameFormat frameFormat, int numRows, int numColumns, int numNonZeros, int blen)` Constructor to create a FrameMetadata object based on frame format, the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a frame.
    `FrameMetadata(FrameFormat frameFormat, Long numRows, Long numColumns)` Constructor to create a FrameMetadata object based on frame format, the number of rows, and the number of columns in a frame.
    `FrameMetadata(FrameFormat frameFormat, Long numRows, Long numColumns, Long numNonZeros)` Constructor to create a FrameMetadata object based on frame format, the number of rows, the number of columns, and the number of non-zero values in a frame.
    `FrameMetadata(FrameFormat frameFormat, Long numRows, Long numColumns, Long numNonZeros, Integer blen)` Constructor to create a FrameMetadata object based on frame format, the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a frame.
    `FrameMetadata(FrameSchema frameSchema)` Constructor to create a FrameMetadata object based on frame schema.
    `FrameMetadata(FrameSchema frameSchema, MatrixCharacteristics matrixCharacteristics)` Constructor to create a FrameMetadata object based on the frame schema and a DataCharacteristics object.
    `FrameMetadata(int numRows, int numColumns)` Constructor to create a FrameMetadata object based on the number of rows and the number of columns in a frame.
    `FrameMetadata(int numRows, int numColumns, int numNonZeros)` Constructor to create a FrameMetadata object based on the number of rows, the number of columns, and the number of non-zero values in a frame.
    `FrameMetadata(int numRows, int numColumns, int numNonZeros, int blen)` Constructor to create a FrameMetadata object based on the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a frame.
    `FrameMetadata(Long numRows, Long numColumns)` Constructor to create a FrameMetadata object based on the number of rows and the number of columns in a frame.
    `FrameMetadata(Long numRows, Long numColumns, Integer blen)` Constructor to create a FrameMetadata object based on the number of rows, the number of columns, the number of rows per block, and the number of columns per block in a frame.
    `FrameMetadata(Long numRows, Long numColumns, Long numNonZeros)` Constructor to create a FrameMetadata object based on the number of rows, the number of columns, and the number of non-zero values in a frame.
    `FrameMetadata(Long numRows, Long numColumns, Long numNonZeros, Integer blen)` Constructor to create a FrameMetadata object based on the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a frame.
    `FrameMetadata(String schema)` Constructor to create a FrameMetadata object based on a string representation of a frame schema.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FrameFormat` | `getFrameFormat()` Obtain the frame format
    `FrameSchema` | `getFrameSchema()` Obtain the frame schema
    `void` | `setFrameFormat(FrameFormat frameFormat)` Set the frame format
    `void` | `setFrameSchema(FrameSchema frameSchema)` Set the frame schema
    `void` | `setMatrixCharacteristics(MatrixCharacteristics matrixCharacteristics)` Set the FrameMetadata fields based on a DataCharacteristics object.

    - ### Methods inherited from class org.apache.sysds.api.mlcontext.Metadata

      `asMatrixCharacteristics, getBlocksize, getNumColumns, getNumNonZeros, getNumRows, setBlocksize, setNumColumns, setNumNonZeros, setNumRows, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FrameMetadata

          public FrameMetadata()

    - #### FrameMetadata

          public FrameMetadata(String schema)

      Constructor to create a FrameMetadata object based on a string representation of a frame schema.
      Parameters:
        `schema` - String representation of the frame schema.

    - #### FrameMetadata

          public FrameMetadata(FrameFormat frameFormat)

      Constructor to create a FrameMetadata object based on frame format.
      Parameters:
        `frameFormat` - The frame format.

    - #### FrameMetadata

          public FrameMetadata(FrameSchema frameSchema)

      Constructor to create a FrameMetadata object based on frame schema.
      Parameters:
        `frameSchema` - The frame schema.

    - #### FrameMetadata

          public FrameMetadata(FrameFormat frameFormat,
                               FrameSchema frameSchema)

      Constructor to create a FrameMetadata object based on frame format and frame schema.
      Parameters:
        `frameFormat` - The frame format.
        `frameSchema` - The frame schema.

    - #### FrameMetadata

          public FrameMetadata(FrameFormat frameFormat,
                               FrameSchema frameSchema,
                               Long numRows,
                               Long numColumns)

      Constructor to create a FrameMetadata object based on frame format, frame schema, the number of rows, and the number of columns in a frame.
      Parameters:
        `frameFormat` - The frame format.
        `frameSchema` - The frame schema.
        `numRows` - The number of rows in the frame.
        `numColumns` - The number of columns in the frame.

    - #### FrameMetadata

          public FrameMetadata(FrameFormat frameFormat,
                               FrameSchema frameSchema,
                               int numRows,
                               int numColumns)

      Constructor to create a FrameMetadata object based on frame format, frame schema, the number of rows, and the number of columns in a frame.
      Parameters:
        `frameFormat` - The frame format.
        `frameSchema` - The frame schema.
        `numRows` - The number of rows in the frame.
        `numColumns` - The number of columns in the frame.

    - #### FrameMetadata

          public FrameMetadata(FrameFormat frameFormat,
                               FrameSchema frameSchema,
                               Long numRows,
                               Long numColumns,
                               Long numNonZeros,
                               Integer blen)

      Constructor to create a FrameMetadata object based on frame format, frame schema, the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a frame.
      Parameters:
        `frameFormat` - The frame format.
        `frameSchema` - The frame schema.
        `numRows` - The number of rows in the frame.
        `numColumns` - The number of columns in the frame.
        `numNonZeros` - The number of non-zero values in the frame.
        `blen` - The number of rows/cols per block in the frame.

    - #### FrameMetadata

          public FrameMetadata(FrameFormat frameFormat,
                               FrameSchema frameSchema,
                               int numRows,
                               int numColumns,
                               int numNonZeros,
                               int blen)

      Constructor to create a FrameMetadata object based on frame format, frame schema, the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a frame.
      Parameters:
        `frameFormat` - The frame format.
        `frameSchema` - The frame schema.
        `numRows` - The number of rows in the frame.
        `numColumns` - The number of columns in the frame.
        `numNonZeros` - The number of non-zero values in the frame.
        `blen` - The number of rows/cols per block in the frame.

    - #### FrameMetadata

          public FrameMetadata(FrameFormat frameFormat,
                               Long numRows,
                               Long numColumns)

      Constructor to create a FrameMetadata object based on frame format, the number of rows, and the number of columns in a frame.
      Parameters:
        `frameFormat` - The frame format.
        `numRows` - The number of rows in the frame.
        `numColumns` - The number of columns in the frame.

    - #### FrameMetadata

          public FrameMetadata(FrameFormat frameFormat,
                               int numRows,
                               int numColumns)

      Constructor to create a FrameMetadata object based on frame format, the number of rows, and the number of columns in a frame.
      Parameters:
        `frameFormat` - The frame format.
        `numRows` - The number of rows in the frame.
        `numColumns` - The number of columns in the frame.

    - #### FrameMetadata

          public FrameMetadata(FrameFormat frameFormat,
                               Long numRows,
                               Long numColumns,
                               Long numNonZeros)

      Constructor to create a FrameMetadata object based on frame format, the number of rows, the number of columns, and the number of non-zero values in a frame.
      Parameters:
        `frameFormat` - The frame format.
        `numRows` - The number of rows in the frame.
        `numColumns` - The number of columns in the frame.
        `numNonZeros` - The number of non-zero values in the frame.

    - #### FrameMetadata

          public FrameMetadata(FrameFormat frameFormat,
                               int numRows,
                               int numColumns,
                               int numNonZeros)

      Constructor to create a FrameMetadata object based on frame format, the number of rows, the number of columns, and the number of non-zero values in a frame.
      Parameters:
        `frameFormat` - The frame format.
        `numRows` - The number of rows in the frame.
        `numColumns` - The number of columns in the frame.
        `numNonZeros` - The number of non-zero values in the frame.

    - #### FrameMetadata

          public FrameMetadata(FrameFormat frameFormat,
                               Long numRows,
                               Long numColumns,
                               Long numNonZeros,
                               Integer blen)

      Constructor to create a FrameMetadata object based on frame format, the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a frame.
      Parameters:
        `frameFormat` - The frame format.
        `numRows` - The number of rows in the frame.
        `numColumns` - The number of columns in the frame.
        `numNonZeros` - The number of non-zero values in the frame.
        `blen` - The number of rows/cols per block in the frame.

    - #### FrameMetadata

          public FrameMetadata(FrameFormat frameFormat,
                               int numRows,
                               int numColumns,
                               int numNonZeros,
                               int blen)

      Constructor to create a FrameMetadata object based on frame format, the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a frame.
      Parameters:
        `frameFormat` - The frame format.
        `numRows` - The number of rows in the frame.
        `numColumns` - The number of columns in the frame.
        `numNonZeros` - The number of non-zero values in the frame.
        `blen` - The number of rows/cols per block in the frame.

    - #### FrameMetadata

          public FrameMetadata(Long numRows,
                               Long numColumns)

      Constructor to create a FrameMetadata object based on the number of rows and the number of columns in a frame.
      Parameters:
        `numRows` - The number of rows in the frame.
        `numColumns` - The number of columns in the frame.

    - #### FrameMetadata

          public FrameMetadata(int numRows,
                               int numColumns)

      Constructor to create a FrameMetadata object based on the number of rows and the number of columns in a frame.
      Parameters:
        `numRows` - The number of rows in the frame.
        `numColumns` - The number of columns in the frame.

    - #### FrameMetadata

          public FrameMetadata(Long numRows,
                               Long numColumns,
                               Long numNonZeros)

      Constructor to create a FrameMetadata object based on the number of rows, the number of columns, and the number of non-zero values in a frame.
      Parameters:
        `numRows` - The number of rows in the frame.
        `numColumns` - The number of columns in the frame.
        `numNonZeros` - The number of non-zero values in the frame.

    - #### FrameMetadata

          public FrameMetadata(int numRows,
                               int numColumns,
                               int numNonZeros)

      Constructor to create a FrameMetadata object based on the number of rows, the number of columns, and the number of non-zero values in a frame.
      Parameters:
        `numRows` - The number of rows in the frame.
        `numColumns` - The number of columns in the frame.
        `numNonZeros` - The number of non-zero values in the frame.

    - #### FrameMetadata

          public FrameMetadata(Long numRows,
                               Long numColumns,
                               Integer blen)

      Constructor to create a FrameMetadata object based on the number of rows, the number of columns, the number of rows per block, and the number of columns per block in a frame.
      Parameters:
        `numRows` - The number of rows in the frame.
        `numColumns` - The number of columns in the frame.
        `blen` - The number of rows/cols per block in the frame.

    - #### FrameMetadata

          public FrameMetadata(Long numRows,
                               Long numColumns,
                               Long numNonZeros,
                               Integer blen)

      Constructor to create a FrameMetadata object based on the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a frame.
      Parameters:
        `numRows` - The number of rows in the frame.
        `numColumns` - The number of columns in the frame.
        `numNonZeros` - The number of non-zero values in the frame.
        `blen` - The number of rows/cols per block in the frame.

    - #### FrameMetadata

          public FrameMetadata(int numRows,
                               int numColumns,
                               int numNonZeros,
                               int blen)

      Constructor to create a FrameMetadata object based on the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a frame.
      Parameters:
        `numRows` - The number of rows in the frame.
        `numColumns` - The number of columns in the frame.
        `numNonZeros` - The number of non-zero values in the frame.
        `blen` - The number of rows/cols per block in the frame.

    - #### FrameMetadata

          public FrameMetadata(DataCharacteristics dataCharacteristics)

      Constructor to create a FrameMetadata object based on a DataCharacteristics object.
      Parameters:
        `dataCharacteristics` - the frame metadata as a DataCharacteristics object

    - #### FrameMetadata

          public FrameMetadata(FrameSchema frameSchema,
                               MatrixCharacteristics matrixCharacteristics)

      Constructor to create a FrameMetadata object based on the frame schema and a DataCharacteristics object.
      Parameters:
        `frameSchema` - The frame schema.
        `matrixCharacteristics` - the frame metadata as a DataCharacteristics object

  - ### Method Detail

    - #### setMatrixCharacteristics

          public void setMatrixCharacteristics(MatrixCharacteristics matrixCharacteristics)

      Set the FrameMetadata fields based on a DataCharacteristics object.
      Overrides:
        `setMatrixCharacteristics` in class `Metadata`
      Parameters:
        `matrixCharacteristics` - the frame metadata as a DataCharacteristics object

    - #### getFrameFormat

          public FrameFormat getFrameFormat()

      Obtain the frame format
      Returns:
        the frame format

    - #### setFrameFormat

          public void setFrameFormat(FrameFormat frameFormat)

      Set the frame format
      Parameters:
        `frameFormat` - the frame format

    - #### getFrameSchema

          public FrameSchema getFrameSchema()

      Obtain the frame schema
      Returns:
        the frame schema

    - #### setFrameSchema

          public void setFrameSchema(FrameSchema frameSchema)

      Set the frame schema
      Parameters:
        `frameSchema` - the frame schema

Copyright © 2021 The Apache Software Foundation. All rights reserved.